import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class Main {
  public static void main(String[] args) throws Exception {
    ApplicationContext ctx = new ClassPathXmlApplicationContext(
        "context.xml");

    ContextAwareDemo demo = (ContextAwareDemo) ctx.getBean("contextAware");
    demo.displayAppContext();
  }

}

class ContextAwareDemo implements ApplicationContextAware {
  private ApplicationContext ctx;

  public void setApplicationContext(ApplicationContext applicationContext) throws BeansException {
    ctx = applicationContext;
  }

  public static void main(String[] args) {

  }

  public void displayAppContext() {
    System.out.println(ctx);
  }

}
